### Name: fwdtr.test
### Title: Multivariate Fan Plot
### Aliases: fwdtr.test
### Keywords: multivariate

### ** Examples

data(mussels.dat)

## reasonable values of transformation parameters for the data set

lambda.R <- c(0.5, 0, 0.5, 0, 0)
l.rat <- fwdtr.test(mussels.dat, lambda.R)
plot.fwdtr.test(l.rat)

## Produce a fan plot for columns 2 and 4 of dataset mussels.dat

l.rat <- fwdtr.test(mussels.dat, parameters = lambda.R, col.to.compare = c(2,4))
plot.fwdtr.test(l.rat)

## reasonable values of transformation parameters for the data set

lambda.R <- c(0.5,0,0.5,0,0)
lambda.around <- c(0,1/3,0.5)

## Produce a fan plot for column 2 of dataset mussels.dat
## The values of lambda which are tested are log, third root
## and square root

l.rat <- fwdtr.test(mussels.dat, parameters = lambda.R, col.to.compare = 2, lambda.around = lambda.around)
plot.fwdtr.test(l.rat)



